/* -*-C-*- xstring.h */
/**********************************************************************/
/****************************** string ********************************/
/**********************************************************************/

#ifndef STRING_H_DEFINED__	/* file ignored if included more than once */
#define STRING_H_DEFINED__

#ifndef OS_H_DEFINED__
#include "os.h"
#endif /* OS_H_DEFINED__ */

/* ANSI C, System V, and BSD 4.3 call this <string.h>.  BSD 4.1 called it
<strings.h> */

#if    STDC
#if    IBM_PC_LATTICE
#include <s:/sys/lc/string.h>	/* get the host version */
#else
#include <string.h>		/* get the host version */
#endif

#else /* NOT STDC */
/* Some UNIX systems have the memxxx() functions in <memory.h>.
ANSI C puts them in <string.h>. */
VOIDP		memccpy ARGS((VOIDP dest, const VOIDP src, int c, size_t n));
VOIDP		memchr	ARGS((const VOIDP s, int c, size_t n));
int		memcmp	ARGS((const VOIDP s1, const VOIDP s2, size_t n));
VOIDP		memcpy	ARGS((VOIDP dest, const VOIDP src, size_t n));
int		memicmp ARGS((const VOIDP s1, const VOIDP s2, size_t n));
VOIDP		memmove ARGS((VOIDP dest, const VOIDP src, size_t n));
VOIDP		memset	ARGS((VOIDP s, int c, size_t n));
char		*strcat ARGS((char *s1, const char *s2));
char		*strchr ARGS((const char *s, int character));
int		strcmp ARGS((const char *s1, const char *s2));
char		*strcpy ARGS((char *s1, const char *s2));
size_t		strcspn ARGS((const char *s1, const char *s2));
char		*strerror ARGS((int errnum, ...));
size_t		strlen ARGS((const char *s));
char		*strncat ARGS((char *s1, const char *s2, size_t n));
int		strncmp ARGS((const char *s1, const char *s2, size_t n));
char		*strncpy ARGS((char *s1, const char *s2, size_t n));
char		*strpbrk ARGS((const char *s1, const char *s2));
char		*strrchr ARGS((const char *s, int character));
size_t		strspn ARGS((const char *s1, const char *s2));
char		*strstr ARGS((const char *s1, const char *s2));
char		*strtok ARGS((char *s1, const char *s2));
#endif /* STDC */
#endif /* STRING_H_DEFINED__ */
